* GETCLASS.CMD

STORE F TO MOK
set colon off
SET TALK OFF
DO WHILE .NOT. MOK
   STORE "        " TO FILE1
   ERASE
   @  0,30 SAY "GRADEBOOK - BY RON GROUT"

   LIST FILES

   @ 22,10 SAY "Enter Class File Name --> " GET FILE1 PICT "!!!!!!!!"
   READ
   STORE TRIM(FILE1)+".DBF" TO FILE
   STORE TRIM(FILE1) TO FILE2
   IF .NOT. FILE(FILE)
      @ 12,10 SAY TRIM(MFILE1) + " does not exist"
      STORE 1 TO CNT
      DO WHILE CNT <= 40
         STORE 1 + CNT TO CNT
      ENDDO
      LOOP
   ELSE
      STORE T TO MOK
   ENDIF
ENDDO
USE &FILE
RELEASE ALL LIKE M*
RETURN





RELEASE ALL LIKE M*
RETURN




  @ 10,15 SAY "  4]        Print Class Reports(sub-Menu)"
   @ 11,15 SAY "  5]        Begin a New Grading Period"
   @ 12,15 SAY "  6]        Create a New Class"
   @ 13,15 SAY "  7]        Change Active Class"
   @ 14,15 SAY "  8]        Copy This File to Drive B:
   @ 15,15 SAY "  9]        Exit Student Gradebook"
   @ 16,15 SAY " 10]        QUIT DBASE II"
   ST